﻿Public Class Bluetooth_Settings

    Dim ErrorCode1 As Boolean
    Dim ErrorCode2 As Boolean

    Private Sub btnSet_Click(sender As Object, e As EventArgs) Handles btnSet.Click

        If (tbxComPort.Text = "") Then

            MessageBox.Show("No COM port is entered.", "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
            ErrorCode1 = True

        ElseIf (IsNumeric(tbxComPort.Text)) Then

            ErrorCode1 = False

        Else

            MessageBox.Show("COM port has to be numerical." & vbCrLf & "Only enter the number do not type COM.", "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
            ErrorCode1 = True

        End If

        If (tbxBaudrate.Text = "") Then

            MessageBox.Show("There is no Baudrate entered.", "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
            ErrorCode2 = True

        ElseIf (IsNumeric(tbxBaudrate.Text)) Then

            ErrorCode2 = False

        Else

            MessageBox.Show("Baudrate has to be numerical.", "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
            ErrorCode2 = True

        End If

        If (ErrorCode1 = True And ErrorCode2 = False) Then

            Dim result As DialogResult

            result = MessageBox.Show("Only the Baudrate will change.", "Attention", MessageBoxButtons.AbortRetryIgnore, MessageBoxIcon.Asterisk)

            If (result = DialogResult.Abort) Then

                Me.Close()

            ElseIf (result = DialogResult.Ignore) Then

                Linefollower.Baudrate = tbxBaudrate.Text
                Me.Close()

            End If

        ElseIf (ErrorCode1 = False And ErrorCode2 = True) Then

            Dim result As DialogResult

            result = MessageBox.Show("Only the COM port will change.", "Attention", MessageBoxButtons.AbortRetryIgnore, MessageBoxIcon.Asterisk)

            If (result = DialogResult.Abort) Then

                Me.Close()

            ElseIf (result = DialogResult.Ignore) Then

                Linefollower.comPortOut = "COM" + tbxComPort.Text
                Me.Close()

            End If

        ElseIf (ErrorCode1 = True And ErrorCode2 = True) Then

            Dim result As DialogResult

            result = MessageBox.Show("Nothing will change.", "ERROR", MessageBoxButtons.RetryCancel, MessageBoxIcon.Error)

            If (result = DialogResult.Cancel) Then

                Me.Close()

            End If

        Else

            Linefollower.comPortOut = "COM" + tbxComPort.Text
            Linefollower.Baudrate = tbxBaudrate.Text
            Me.Close()

        End If

    End Sub

End Class